<?php
namespace Ep\Webshop;

use Zend\ConfigAggregator\ConfigAggregator;
use Zend\ConfigAggregator\PhpFileProvider;

/**
 * Class ConfigProvider
 *
 * @package Ep\Webshop
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ConfigProvider
{
    /***
     * @return array
     */
    public function __invoke(): array
    {
        return (new ConfigAggregator([
            \Ep\Wp\ConfigProvider::class,
            \Ep\Woo\ConfigProvider::class,

            new PhpFileProvider(__DIR__ . '/../config/*.config.php'),
        ]))->getMergedConfig();
    }
}