<?php
namespace Ep\WooCommerce;

use Ep\WordPress\Service\AbstractWordPressService;

/**
 * Class ProductService
 *
 * @package Ep\WooCommerce
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class ProductService extends AbstractWordPressService
{
	/**
	 * Kačimo se na WordPress.
	 */
	public function attach(): void
	{
        add_filter('woocommerce_catalog_orderby', [$this, 'catalogOrderBy']);
	}

	public function catalogOrderBy($options)
    {
        return [
            'date' => $options['date'],
            'price' => $options['price'],
            'price-desc' => $options['price-desc'],
        ];
    }
}