<?php
$webshopSettings = get_option('ep_webshop', []);
$importCsvEnabled = '1' === @$webshopSettings['enable_cart_import_csv'];
?>
<div class="text-center pt pb">
	<?php
	/**
	 * @hooked wc_empty_cart_message - 10
	 */
	do_action('woocommerce_cart_is_empty');

	if (wc_get_page_id('shop') > 0): ?>
        <div class="return-to-shop">
            <a class="button primary wc-backward"
               href="<?php echo esc_url(apply_filters('woocommerce_return_to_shop_redirect', wc_get_page_permalink('shop'))); ?>">
				<?php _e('Return to shop', 'woocommerce') ?>
            </a>

	        <?php
            if ($importCsvEnabled) {
	            wc_get_template('cart/import-csv.php');
            }
            ?>
        </div>

        <?php if ($importCsvEnabled): ?>
            <div id="file-upload-progress" class="progress">
                <div class="progress-bar" role="progressbar" aria-valuenow="0" aria-valuemax="100"></div>
            </div>

            <div id="file-upload-message"></div>
        <?php endif; ?>
	<?php endif; ?>
</div>