import $ from 'jquery';

$(function() {
    if ('no' === ep_admin.gathEnabled) {
        return;
    }

    if (document.location.pathname.match(/\/post\.php$/) && $('body').hasClass('post-type-product')) {
        let disableNames = [];

        if ('yes' === ep_admin.gathPrices) {
            disableNames.push(
                '_regular_price',
                '_sale_price',
                '_sale_price_dates_from',
                '_sale_price_dates_to'
            );
        }

        if ('yes' === ep_admin.gathStock) {
            disableNames.push(
                '_backorders',
                '_manage_stock',
                '_stock',
                '_stock_status'
            );
        }

        disableNames.forEach(function (name) {
            $('[name="' + name + '"]').attr('disabled', 'disabled');
        });

        let disableLinks = [
            '.sale_schedule'
        ];

        disableLinks.forEach(function (selector) {
            $(selector).off().on('click', function(e) {
                e.preventDefault();
                e.stopPropagation();
            });
        });
    }
});