import $ from 'jquery';

window.epRecaptchaOnLoad = function()
{
    ep_webshop.recaptcha.elements.forEach(function(selector) {
        let $buttons = $(selector);

        $buttons.each(function(index, button) {
            let $button = $(button),
                $form = $button.closest('form');

            $form.append(
                $('<input type="hidden">')
                    .attr('name', $button.attr('name'))
                    .attr('value', $button.val())
            );

            grecaptcha.render($button[0], {
                'sitekey': ep_webshop.recaptcha.siteKey,
                'callback': function() {
                    $form.submit();
                }
            });
        });
    });
};

$(function() {

    if ('yes' !== ep_webshop.recaptcha.enabled) {
        return;
    }

    let apiUrl = 'https://www.google.com/recaptcha/api.js'
        + '?hl=' + $('html').attr('lang')
        + '&onload=epRecaptchaOnLoad'
        + '&render=explicit';

    $('body').append($('<script />').attr('src', apiUrl));
});