<?php
namespace Ep\Gath\Entity;

/**
 * Predstavlja stanje zalihe nekog proizvoda.
 *
 * @package Ep\Gath\Entity
 * @author Elektronika Perhoč <support@ep.hr>
 * @link https://bitbucket.org/elektronika-perhoc/ep-webshop
 */
class Stock
{
	/** @var string */
	private $sku;
	/** @var float */
	private $stock;

	/**
	 * @return string
	 */
	public function getSku(): string
	{
		return $this->sku ?? '';
	}

	/**
	 * @return float
	 */
	public function getStock(): float
	{
		return $this->stock;
	}
}