<?php
namespace Ep\WooCommerce\Entity;

use Ep\Gath\GathService;
use WC_Order_Item_Product;

class ProductOrderItem extends WC_Order_Item_Product
{
	public function set_product_id($value)
	{
		$value = absint($value);

		if ($value > GathService::PRODUCT_ID_OFFSET) {
			$value -= GathService::PRODUCT_ID_OFFSET;
		}

		if ($value > 0) {
			$this->set_prop( 'product_id', $value);
		}
	}
}